import { ApiCall } from "tsrpc";
import { EmailFun } from '../../public/email';
import { ReqRead, ResRead } from "../../shared/protocols/email/PtlRead";

export default async function (call: ApiCall<ReqRead, ResRead>) {
    // 修改状态为已读
    await EmailFun.readEmail(call.uid, call.req._id);
    call.succ([]);
}